package top.r3944realms.docchecktoolrefactored;

import lombok.extern.slf4j.Slf4j;
import top.r3944realms.docchecktoolrefactored.cil.CliProcessor;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * The type Main.
 */
@Slf4j
public class Main {
    /**
     * The entry point of application.
     *
     * @param args the input arguments
     */
    public static void main(String[] args) {
        System.init();
//        log.info(StringUtil.NO_BUG);
        // 检查是否有 --cli 参数
        List<String> list = Arrays.asList(args);
        if (list.contains("--cli")) {
            // CLI 模式
            List<String> strList = new ArrayList<>();
            list.stream().filter(i -> !i.equals("--cli")).forEach(strList::add);
            new CliProcessor().process(strList.toArray(new String[0]));
        } else {
            // GUI 模式
            JavaFxApplication.launch(JavaFxApplication.class, args);
        }
    }
}